import { HttpEvent, HttpHandler, HttpInterceptor, HttpRequest } from "@angular/common/http";
import { Subject, Observable } from "rxjs";
export declare class SpinnerService implements HttpInterceptor {
    private static Delay;
    static VisibilityChangeDetectorRef: Subject<boolean>;
    constructor();
    intercept(req: HttpRequest<any>, next: HttpHandler): Observable<HttpEvent<any>>;
}
